gdal_translate(1)

NAME
gdal_translate - Converts raster data between different formats.

SYNOPSIS

gdal_translate [--help-general]
       [-ot {Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/
             CInt16/CInt32/CFloat32/CFloat64}] [-strict]
       [-of format] [-b band]* [-mask band] [-expand {gray|rgb|rgba}]
       [-outsize xsize[%]|0 ysize[%]|0] [-tr xres yres]
       [-r {nearest,bilinear,cubic,cubicspline,lanczos,average,mode}]
       [-unscale] [-scale[_bn] [src_min src_max [dst_min dst_max]]]* [-exponent[_bn] exp_val]*
       [-srcwin xoff yoff xsize ysize] [-epo] [-eco]
       [-projwin ulx uly lrx lry] [-projwin_srs srs_def]
       [-a_srs srs_def] [-a_ullr ulx uly lrx lry] [-a_nodata value]
       [-a_scale value] [-a_offset value]
       [-gcp pixel line easting northing [elevation]]*
       |-colorinterp{_bn} {red|green|blue|alpha|gray|undefined}]
       |-colorinterp {red|green|blue|alpha|gray|undefined},...]
       [-mo "META-TAG=VALUE"]* [-q] [-sds]
       [-co "NAME=VALUE"]* [-stats] [-norat]
       [-oo NAME=VALUE]*
       src_dataset dst_dataset

DESCRIPTION

The gdal_translate utility can be used to convert raster data between different formats, potentially performing some operations like subsettings, resampling, and rescaling pixels in the process.

-ot: type
    For the output bands to be of the indicated data type.

-strict:
    Don't be forgiving of mismatches and lost data when translating to the output format.

-of format:
    Select the output format. Starting with GDAL 2.3, if not specified, the format is guessed from the extension (previously was GTiff). Use the short format name.

-b band:
    Select an input band band for output. Bands are numbered from 1. Multiple -b switches may be used to select a set of input bands to write to the output file, or to reorder bands. Starting with GDAL 1.8.0, band can also be set to 'mask,1' (or just 'mask') to mean the mask band of the first band of the input dataset.

-mask band:
    (GDAL >= 1.8.0) Select an input band band to create output dataset mask band. Bands are numbered from 1. band can be set to 'none' to avoid copying the global mask of the input dataset if it exists. Otherwise it is copied by default ('auto'), unless the mask is an alpha channel, or if it is explicitly used to be a regular band of the output dataset ('-b mask'). band can also be set to 'mask,1' (or just 'mask') to mean the mask band of the 1st band of the input dataset.

-expand gray|rgb|rgba:
    (From GDAL 1.6.0) To expose a dataset with 1 band with a color table as a dataset with 3 (RGB) or 4 (RGBA) bands. Useful for output drivers such as JPEG, JPEG2000, MrSID, ECW that don't support color indexed datasets. The 'gray' value (from GDAL 1.7.0) enables to expand a dataset with a color table that only contains gray levels to a gray indexed dataset.

-outsize xsize[%]|0 ysize[%]|0:
    Set the size of the output file. Outsize is in pixels and lines unless '%' is attached in which case it is as a fraction of the input image size. Starting with GDAL 2.0, if one of the 2 values is set to 0, its value will be determined from the other one, while maintaining the aspect ratio of the source dataset.

-tr xres yres :
    (starting with GDAL 2.0) set target resolution. The values must be expressed in georeferenced units. Both must be positive values. This is mutually exclusive with -outsize and -a_ullr.

-r {nearest (default),bilinear,cubic,cubicspline,lanczos,average,mode}:
    (GDAL >= 2.0) Select a resampling algorithm.

-scale [src_min src_max [dst_min dst_max]]:
    Rescale the input pixels values from the range src_min to src_max to the range dst_min to dst_max. If omitted the output range is 0 to 255. If omitted the input range is automatically computed from the source data. Before GDAL 1.11, it can be specified only once, and in that case, it applies to all bands of the output dataset. Starting with GDAL 1.11, -scale can be repeated several times (if specified only once, it also applies to all bands of the output dataset), so as to specify per band parameters. It is also possible to use the '-scale_bn' syntax where bn is a band number (e.g. '-scale_2' for the 2nd band of the output dataset) to specify the parameters of one or several specific bands.

-exponent  exp_val:
    (From GDAL 1.11) To apply non-linear scaling with a power function. exp_val is the exponent of the power function (must be positive). This option must be used with the -scale option. If specified only once, -exponent applies to all bands of the output image. It can be repeated several times so as to specify per band parameters. It is also possible to use the '-exponent_bn' syntax where bn is a band number (e.g. '-exponent_2' for the 2nd band of the output dataset) to specify the parameters of one or several specific bands.

-unscale:
    Apply the scale/offset metadata for the bands to convert scaled values to unscaled values. It is also often necessary to reset the output datatype with the -ot switch.

-srcwin xoff yoff xsize ysize:
    Selects a subwindow from the source image for copying based on pixel/line location.

-projwin ulx uly lrx lry:
    Selects a subwindow from the source image for copying (like -srcwin) but with the corners given in georeferenced coordinates (by default expressed in the SRS of the dataset. Can be changed with -projwin_srs). Note: in GDAL 2.1.0 and 2.1.1, using -projwin with coordinates not aligned with pixels will result in a sub-pixel shift. This has been corrected in later versions. When selecting non-nearest neighbour resampling, starting with GDAL 2.1.0, sub-pixel accuracy is however used to get better results.

-projwin_srs srs_def:
    (GDAL >= 2.0) Specifies the SRS in which to interpret the coordinates given with -projwin. The srs_def may be any of the usual GDAL/OGR forms, complete WKT, PROJ.4, EPSG:n or a file containing the WKT. Note that this does not cause reprojection of the dataset to the specified SRS.

-epo: (Error when Partially Outside)
    (GDAL >= 1.10) If this option is set, -srcwin or -projwin values that falls partially outside the source raster extent will be considered as an error. The default behaviour starting with GDAL 1.10 is to accept such requests, when they were considered as an error before.

-eco: (Error when Completely Outside)
    (GDAL >= 1.10) Same as -epo, except that the criterion for erroring out is when the request falls completely outside the source raster extent.

-a_srs srs_def:
    Override the projection for the output file. The srs_def may be any of the usual GDAL/OGR forms, complete WKT, PROJ.4, EPSG:n or a file containing the WKT. No reprojection is done.

-a_scale value:
    (GDAL >=2.3 )Set band scaling value(no modification of pixel values is done)

-a_offset value:
    (GDAL >=2.3 )Set band offset value (no modification of pixel values is done)

-a_ullr ulx uly lrx lry:
    Assign/override the georeferenced bounds of the output file. This assigns georeferenced bounds to the output file, ignoring what would have been derived from the source file. So this does not cause reprojection to the specified SRS.

-a_nodata value:
    Assign a specified nodata value to output bands. Starting with GDAL 1.8.0, can be set to none to avoid setting a nodata value to the output file if one exists for the source file. Note that, if the input dataset has a nodata value, this does not cause pixel values that are equal to that nodata value to be changed to the value specified with this option.

-colorinterp_X red|green|blue|alpha|gray|undefined:
    (GDAL >= 2.3) Override the color interpretation of band X (where X is a valid band number, starting at 1)

-colorinterp red|green|blue|alpha|gray|undefined[,red|green|blue|alpha|gray|undefined]*:
    (GDAL >= 2.3) Override the color interpretation of all specified bands. For example -colorinterp red,green,blue,alpha for a 4 band output dataset.

-mo 'META-TAG=VALUE':
    Passes a metadata key and value to set on the output dataset if possible.

-co 'NAME=VALUE':
    Passes a creation option to the output format driver. Multiple -co options may be listed. See format specific documentation for legal creation options for each format.

-gcp pixel line easting northing elevation:
    Add the indicated ground control point to the output dataset. This option may be provided multiple times to provide a set of GCPs.

-q: Suppress progress monitor and other non-error output.

-sds:
    Copy all subdatasets of this file to individual output files. Use with formats like HDF or OGDI that have subdatasets. The output file naming scheme has changed in GDAL 1.11 (e.g. ofile_1.tif, ofile_2.tif).

-stats:
    (GDAL >= 1.8.0) Force (re)computation of statistics.

-norat
    (GDAL >= 1.11) Do not copy source RAT into destination dataset.

-oo NAME=VALUE:
    (starting with GDAL 2.0) Dataset open option (format specific)

src_dataset:
    The source dataset name. It can be either file name, URL of data source or subdataset name for multi-dataset files.

dst_dataset:
    The destination file name.

C API

Starting with GDAL 2.1, this utility is also callable from C with GDALTranslate().

EXAMPLE

gdal_translate -of GTiff -co "TILED=YES" utm.tif utm_tiled.tif

Starting with GDAL 1.8.0, to create a JPEG-compressed TIFF with internal mask from a RGBA dataset :

gdal_translate rgba.tif withmask.tif -b 1 -b 2 -b 3 -mask 4 -co COMPRESS=JPEG -co PHOTOMETRIC=YCBCR --config GDAL_TIFF_INTERNAL_MASK YES

Starting with GDAL 1.8.0, to create a RGBA dataset from a RGB dataset with a mask :

gdal_translate withmask.tif rgba.tif -b 1 -b 2 -b 3 -b mask

AUTHORS

Frank Warmerdam warmerdam@pobox.com, Silke Reimer silke@intevation.de